OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Enumerations
road_widget.h File Reference

Types related to the road widgets. More...

Go to the source code of this file.

## Enumerations
enum | RoadToolbarWidgets { WID_ROT_ROAD_X, WID_ROT_ROAD_Y, WID_ROT_AUTOROAD, WID_ROT_DEMOLISH, WID_ROT_DEPOT, WID_ROT_BUS_STATION, WID_ROT_TRUCK_STATION, WID_ROT_ONE_WAY, WID_ROT_BUILD_BRIDGE, WID_ROT_BUILD_TUNNEL, WID_ROT_REMOVE }
| Widgets of the BuildRoadToolbarWindow class. More...
enum | BuildRoadDepotWidgets { WID_BROD_CAPTION, WID_BROD_DEPOT_NE, WID_BROD_DEPOT_SE, WID_BROD_DEPOT_SW, WID_BROD_DEPOT_NW }
| Widgets of the BuildRoadDepotWindow class. More...
enum | BuildRoadStationWidgets { WID_BROS_CAPTION, WID_BROS_BACKGROUND, WID_BROS_STATION_NE, WID_BROS_STATION_SE, WID_BROS_STATION_SW, WID_BROS_STATION_NW, WID_BROS_STATION_X, WID_BROS_STATION_Y, WID_BROS_LT_OFF, WID_BROS_LT_ON, WID_BROS_INFO }
| Widgets of the BuildRoadStationWindow class. More...

## Detailed Description

Types related to the road widgets.

Definition in file road_widget.h.

## Enumeration Type Documentation

enum BuildRoadDepotWidgets

Widgets of the BuildRoadDepotWindow class.

Enumerator:

  WID_BROD_CAPTION | Caption of the window.
  WID_BROD_DEPOT_NE | Depot with NE entry.
  WID_BROD_DEPOT_SE | Depot with SE entry.
  WID_BROD_DEPOT_SW | Depot with SW entry.
  WID_BROD_DEPOT_NW | Depot with NW entry.

Definition at line 32 of file road_widget.h.

enum BuildRoadStationWidgets

Widgets of the BuildRoadStationWindow class.

Enumerator:

  WID_BROS_CAPTION | Caption of the window.
  WID_BROS_BACKGROUND | Background of the window.
  WID_BROS_STATION_NE | Terminal station with NE entry.
  WID_BROS_STATION_SE | Terminal station with SE entry.
  WID_BROS_STATION_SW | Terminal station with SW entry.
  WID_BROS_STATION_NW | Terminal station with NW entry.
  WID_BROS_STATION_X | Drive-through station in x-direction.
  WID_BROS_STATION_Y | Drive-through station in y-direction.
  WID_BROS_LT_OFF | Turn off area highlight.
  WID_BROS_LT_ON | Turn on area highlight.
  WID_BROS_INFO | Station acceptance info.

Definition at line 42 of file road_widget.h.

enum RoadToolbarWidgets

Widgets of the BuildRoadToolbarWindow class.

Enumerator:

  WID_ROT_ROAD_X | Build road in x-direction.
  WID_ROT_ROAD_Y | Build road in y-direction.
  WID_ROT_AUTOROAD | Autorail.
  WID_ROT_DEMOLISH | Demolish.
  WID_ROT_DEPOT | Build depot.
  WID_ROT_BUS_STATION | Build bus station.
  WID_ROT_TRUCK_STATION | Build truck station.
  WID_ROT_ONE_WAY | Build one-way road.
  WID_ROT_BUILD_BRIDGE | Build bridge.
  WID_ROT_BUILD_TUNNEL | Build tunnel.
  WID_ROT_REMOVE | Remove road.

Definition at line 16 of file road_widget.h.